cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/movies/settings/displayed-attributes' \
-H 'Authorization: Bearer API_KEY'client.index('movies').getDisplayedAttributes()$client->index('movies')->getDisplayedAttributes();client.index('movies').get_displayed_attributes()client.index("movies").getDisplayedAttributesSettings();client.index('movies').get_displayed_attributesclient.Index("movies").GetDisplayedAttributes()await client.Index("movies").GetDisplayedAttributesAsync();let displayed_attributes: Vec<String> = client
.index("movies")
.get_displayed_attributes()
.await
.unwrap();await client.index('movies').getDisplayedAttributes();client.index("movies").getDisplayedAttributes { (result) in
switch result {
case .success(let displayedAttributes):
print(displayedAttributes)
case .failure(let error):
print(error)
}
}[]{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Displayed attributes
Get displayedAttributes
Returns the current value of the displayedAttributes setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
displayed-attributes
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/movies/settings/displayed-attributes' \
-H 'Authorization: Bearer API_KEY'client.index('movies').getDisplayedAttributes()$client->index('movies')->getDisplayedAttributes();client.index('movies').get_displayed_attributes()client.index("movies").getDisplayedAttributesSettings();client.index('movies').get_displayed_attributesclient.Index("movies").GetDisplayedAttributes()await client.Index("movies").GetDisplayedAttributesAsync();let displayed_attributes: Vec<String> = client
.index("movies")
.get_displayed_attributes()
.await
.unwrap();await client.index('movies').getDisplayedAttributes();client.index("movies").getDisplayedAttributes { (result) in
switch result {
case .success(let displayedAttributes):
print(displayedAttributes)
case .failure(let error):
print(error)
}
}[]{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the displayedAttributes setting.
Was this page helpful?